commit:     d0e55e46f2c85c02f650c973b5dfa90da5257565
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Sat May 27 12:21:11 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun May 28 13:21:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0e55e46

dev-games/recastnavigation: add 1.6.0

Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-games/recastnavigation/Manifest                |  1 +
 .../recastnavigation/recastnavigation-1.6.0.ebuild | 35 ++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-games/recastnavigation/Manifest 
b/dev-games/recastnavigation/Manifest
index 4ba952de9943..2a678f54c463 100644
--- a/dev-games/recastnavigation/Manifest
+++ b/dev-games/recastnavigation/Manifest
@@ -1 +1,2 @@
 DIST recastnavigation-1.5.1_p20230102.tar.gz 1276864 BLAKE2B 
0958fd76c1855dee0d4d4ee8b0e31cfac3c1bdee1f5f767c4dec0bec75b3c919760d9201ba27d772602200e9416e08955b7ef326603ec21fb9594f2d40c079bc
 SHA512 
4820e473735b08920bca7032851b258e8748c093bae331b11c0c9f630e9973264d9ca6277f7d92818b0a8c0864ce2601f129b708ec7976c9baead88d7b844f76
+DIST recastnavigation-1.6.0.tar.gz 1280501 BLAKE2B 
e2bca1cfab7f8a904530b381225dcf4f8c0f6fb05da7f628d52e0e0f03c7dd59e43825b459fa5df8fc0ac50cbcdd18e3807841b6cfbfb484b2ed0cd811916304
 SHA512 
7567aaa78219cc490a6f76210fba1f130f0c17aeaa06432ab1207e0fd03404abe31042e8b03971aa0d04ad65d39469f13575fe0072fb920c38581d39568b70fb

diff --git a/dev-games/recastnavigation/recastnavigation-1.6.0.ebuild 
b/dev-games/recastnavigation/recastnavigation-1.6.0.ebuild
new file mode 100644
index 000000000000..8f5f62ca389c
--- /dev/null
+++ b/dev-games/recastnavigation/recastnavigation-1.6.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Navigation mesh construction toolset for games"
+HOMEPAGE="https://github.com/recastnavigation/recastnavigation";
+SRC_URI="https://github.com/recastnavigation/recastnavigation/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+#S="${WORKDIR}/${PN}-${MY_COMMIT}"
+
+LICENSE="ZLIB"
+SLOT="0/1.6.0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-cpp/catch:0 )"
+
+src_prepare() {
+       rm -r Tests/Contrib/catch2 || die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DRECASTNAVIGATION_DEMO=OFF
+               -DRECASTNAVIGATION_EXAMPLES=OFF
+               -DRECASTNAVIGATION_TESTS=$(usex test)
+       )
+
+       cmake_src_configure
+}

Reply via email to